> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Canton Validator

> Update an existing Canton Validator configuration.
  
  Read details about the process [here](https://docs.dfns.co/networks/canton-validators). 



## OpenAPI

````yaml /openapi.yaml put /networks/{network}/validators/{validatorId}
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /networks/{network}/validators/{validatorId}:
    put:
      tags:
        - Networks
      summary: Update Canton Validator
      description: |-
        Update an existing Canton Validator configuration.
          
          Read details about the process [here](https://docs.dfns.co/networks/canton-validators). 
      parameters:
        - schema:
            type: string
            enum:
              - canton
              - canton-devnet
              - canton-testnet
          required: true
          name: network
          in: path
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^cv-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          required: true
          name: validatorId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 50
                  description: Nickname for this validator.
                validator:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                      description: >-
                        URL to reach the API at this address. The calls will be
                        originating from our IP addresses (see [Dfns
                        Environments](https://docs.dfns.co/api-reference/environments))
                    oauth2:
                      type: object
                      properties:
                        domain:
                          type: string
                          format: uri
                          description: >-
                            your OAuth2 tenant domain. Provided by your auth
                            provider. 
                        tokenPath:
                          type: string
                          description: >-
                            token endpoint from your authorization provider. We
                            will call this endpoint on your tenant domain (i.e.:
                            `<domain>/<token path>`)
                        audience:
                          type: string
                          description: >-
                            the audience your configured on your auth provider.
                            It is suggested to start with
                            `https://canton.network.global`.
                        clientId:
                          type: string
                          description: >-
                            The client id from your auth provider for this
                            application.
                        clientSecret:
                          type: string
                          description: >-
                            The client secret from your auth provider for this
                            application.
                      required:
                        - domain
                        - audience
                        - clientId
                        - clientSecret
                      description: >-
                        How Dfns will authenticate into your validator/ledger.
                        You should have setup authentication already (see
                        details
                        [here](https://docs.dev.sync.global/validator_operator/validator_helm.html#helm-validator-auth)),
                        you can reuse the same Application details. See examples
                        in this endpoint payload examples above.
                  required:
                    - url
                    - oauth2
                ledger:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                      description: >-
                        URL to reach the API at this address. The calls will be
                        originating from our IP addresses (see [Dfns
                        Environments](https://docs.dfns.co/api-reference/environments))
                    oauth2:
                      type: object
                      properties:
                        domain:
                          type: string
                          format: uri
                          description: >-
                            your OAuth2 tenant domain. Provided by your auth
                            provider. 
                        tokenPath:
                          type: string
                          description: >-
                            token endpoint from your authorization provider. We
                            will call this endpoint on your tenant domain (i.e.:
                            `<domain>/<token path>`)
                        audience:
                          type: string
                          description: >-
                            the audience your configured on your auth provider.
                            It is suggested to start with
                            `https://canton.network.global`.
                        clientId:
                          type: string
                          description: >-
                            The client id from your auth provider for this
                            application.
                        clientSecret:
                          type: string
                          description: >-
                            The client secret from your auth provider for this
                            application.
                      required:
                        - domain
                        - audience
                        - clientId
                        - clientSecret
                      description: >-
                        How Dfns will authenticate into your validator/ledger.
                        You should have setup authentication already (see
                        details
                        [here](https://docs.dev.sync.global/validator_operator/validator_helm.html#helm-validator-auth)),
                        you can reuse the same Application details. See examples
                        in this endpoint payload examples above.
                  required:
                    - url
                    - oauth2
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantonValidator'
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  schemas:
    CantonValidator:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^cv-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          example: cv-7jeof-m584r-p35ucm37ko3cqgts
        orgId:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^or-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: Organization id.
          example: or-30tnh-itmjs-s235s5ontr3r23h2
        network:
          type: string
          enum:
            - Canton
            - CantonDevnet
            - CantonTestnet
        name:
          type: string
        kind:
          type: string
          enum:
            - Shared
            - Custom
        dateCreated:
          type: string
        partyHint:
          type: string
      required:
        - id
        - orgId
        - network
        - kind
        - dateCreated
        - partyHint
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````